<?php
/**
 * Set the content width based on the theme's design and stylesheet.
 */
if ( ! isset( $content_width ) ) {
	$content_width = 980; /* pixels */
}

function integral_setup() {
	
    // This theme uses a custom image size for featured images, displayed on "standard" posts.
	add_theme_support( 'post-thumbnails' );
	add_image_size( 'integral-post-thumbnails', 750, 9999);
    add_image_size( 'integral-home-post-thumbnails', 720, 360, true);
    
    // Add default posts and comments RSS feed links to head. 
    add_theme_support( 'automatic-feed-links' );
    
    // Let WordPress manage the document title. By adding theme support, we declare that this theme does not use a hard-coded <title> tag in the document head, and expect WordPress to provide it for us.
    add_theme_support("title-tag");
    
    // This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
		'primary'      => esc_html__( 'Primary Menu', 'integral' ),
	) );
    
    // Make theme available for translation. Translations can be filed in the /languages/ directory. If you're building a theme based on OnePress, use a find and replace to change 'onepress' to the name of your theme in all the template files.
    load_theme_textdomain( 'integral', get_template_directory() . '/languages' );
    
}
add_action( 'after_setup_theme', 'integral_setup' );